<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.7.0 - Last modified 7/28/2008
*/


/*
NOTES:
	Cookies are sent as the HTTP GET method, and thus don't [aren't supposed to] work with POST.  However, since ChibiPaint doesn't support header data, we have to mimick cookies by spoofing POST data as GET.  This is the technique Wacintaki used to use with PaintBBS and ShiPainter before v1.3, and has since been obsoleted.  Expect some major differences between the code used for this applet and the others, and some variables normally required for the other paint programs may not be used here.

	if (new pic) {
		Send nothing to comment.php.
	} elseif (public edit by new artist) {
		Send import to comment.php.
	} else {
		send edit and import.
	}
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');
require ('paintsave.php');

// Input
$xcord = w_gpc('xcord', 'i');
$ycord = w_gpc('ycord', 'i');
$anim  = w_gpc('anim', 'i');
$edit  = w_gpc('edit', 'i+');
$user_pass = ''; // Wacintaki only

// Init
$app_head     = ''; // Passed to save tool
$app_head_pw  = ''; // Added to $app_head
$app_url_exit = ''; // Params for index (comment)
$import       = ''; // Canvas number to import.  Passed to save tool
$app_import   = ''; // Canvas/anim filename to import (based on $anim)
$anim_type    = 'chi'; // Extension for animation


// Check Draw access
if (!$flags['D']) {
	report_err($langop_err_drawaccess);
}

// Check anim access
// If retouch, anim flag is ignored
if (!$flags['M']) {
	$anim = 0;
}


if ($edit) {
	// Get pic info
	$result = mysql_query ("SELECT PIC_ID, usrname, animation, password, ptype FROM {$OekakiPoteto_Prefix}oekakidta WHERE PIC_ID='$edit'");
	$row = mysql_fetch_array ($result);

	// Verify anim
	if ($row['animation'] == 1) {
		$anim = 1;
	} else {
		$anim = 0;
	}

	// Set up import (edit only)
	$app_import = $p_pic.$edit.'.'.$row['ptype'];

	$size = @GetImageSize ($p_pic.$row['PIC_ID'].'.'.$row['ptype']);
	$xcord = $size[0];
	$ycord = $size[1];
}


// Verify that canvas sizes fit min/max
$xcord = fix_range($cfg['min_x'], $cfg['canvas_x'], $xcord);
$ycord = fix_range($cfg['min_y'], $cfg['canvas_y'], $ycord);


// Set applet area
{
	/* A bug in the Mac version of Java 1.5 requires hard-coded values, rather than CSS.  So, we set to a reasonable default, and grow the applet to fit the canvas. */

	/*
		Typical viewable width of 800x600 browser is 740px.
		BUT ChibiPaint really needs a larger screen, so we'll bump the screen
		size to 1024x768, giving a practical width of 964px
	*/
	$xhack = 964; // Applet x
	$yhack = 700; // Applet y
	$xoverhead = 100 ; // Applet border/palette width
	$yoverhead = 35;

	if (DISABLE_APPLET_AREA_HACK) {
		$xhack = '100%';
		// $yhack = '90%'; // HTML quirks mode only
	} else {
		if ($xcord > ($xhack - $xoverhead))
			$xhack = $xcord + $xoverhead;
	}
	if ($ycord > ($yhack - $yoverhead))
		$yhack = $ycord + $yoverhead;
}


// Get filesize cutoff.  See notes above about compress_level
// APPLET_NO_JPEG is in hacks.php
$image_jpeg_value = (APPLET_NO_JPEG != 0) ? 'false' : 'true';
$image_compress = (APPLET_NO_JPEG != 0) ? '0' : '4';
$image_size_value = applet_image_size_param($xcord, $ycord);


// Set up applet CGI
// These are sent as GET data, so they need ampersands, not semicolons!
if ($edit) {
	$app_head_mode = 'edit';
} elseif ($anim) {
	$app_head_mode = 'anim';
} else {
	$app_head_mode = 'norm';
}

$app_head = "mode={$app_head_mode}&edittimes=".time()."&usr=".urlencode($OekakiU)."&vcode=".urlencode($OekakiPass);
if ($edit) {
	$app_head .= "&edit={$edit}";
}

// Set up applet exit
$app_url_exit = 'comment.php?mode=res_msg';
if ($edit) {
	$app_url_exit .= "&edit={$edit}";
}

// Wax Poteto fans seem to prefer the header
$no_banner = TRUE;
require ('header.php');


?>
<div align="center">
	<applet id="chibi"
		code="chibipaint.ChibiPaint.class" 
		archive="chibipaint.jar"
		width="<?=$xhack;?>"
		height="<?=$yhack;?>">

		<param name="canvasWidth" value="<?=$xcord;?>" />
		<param name="canvasHeight" value="<?=$ycord;?>" />

<? if ($edit) { ?>
		<param name="loadImage" value="<?=w_html_chars($app_import);?>" />
<? } ?>
<? if ($anim) { ?>
		<param name="loadChibiFile" value="<?=$p_pic.$edit.'.chi';?>" />
<? } ?>

		<param name="postUrl" value="chibipaintget.php?<?=w_html_chars($app_head);?>" />
		<param name="exitUrl" value="<?=w_html_chars($app_url_exit);?>" />
		<param name="exitUrlTarget" value="_self" />

		You need Java&trade; to run this applet.  <a href="http://www.java.com">Click here to download Java</a>.
	</applet>
</div>


<p style="text-align: center;">
	<input onclick="maximize_app('chibi');" type="button" value="<?=$langop_resizeapplet;?>" class="submit" />
</p>


<p style="text-align: center;">
	<input onclick="size_app('chibi');" type="button" value="<?=$langop_resize_to_this;?>" class="submit" />
	X:<input id="button_x" type="text" size="3" value="<?=$xhack;?>" class="txtinput" />
	Y:<input id="button_y" type="text" size="3" value="<?=$yhack;?>" class="txtinput" />
</p>


<? if (!$edit) { ?>
<form name="formResize" method="get" action="<?=$_SERVER['PHP_SELF'];?>">
	<table width="50%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
	<tr>
	<td colspan="2" height="11">
		<table width="<?=$hWidth?>" cellpadding="<?=$hCellPadding?>" align="center" class="header">
		<tr>
		<td align="center">
			<font size="-2">
				<?=$langop_applet_modify?> 
				(<?=$langop_applet_max?> <?=$cfg['canvas_x'];?> &times; <?=$cfg['canvas_y'];?> )
			</font>
		</td>
		</tr>
		</table>
	</td>
	</tr>

	<tr>
	<td width="28%">
		<div align="right">
			<font size="-2">X</font>:
		</div>
	</td>
	<td width="72%">
		<font size="-2">
			<input type="text" name="xcord" value="<?=$xcord?>" class="txtinput" />
		</font>
	</td>
	</tr>

	<tr>
	<td width="28%">
		<div align="right">
			<font size="-2">Y:</font>
		</div>
	</td>
	<td width="72%">
		<font size="-2">
			<input type="text" name="ycord" value="<?=$ycord?>" class="txtinput" />
		</font>
	</td>
	</tr>

	<tr>
	<td></td>
	<td>
		<font size="-2">
			<input type="submit" name="Submit" value="<?=$langop_word_modify;?>" class="submit" />
		</font>
	</td>
	</tr>
	</table>

<? if ($edit) { ?>
	<input type="hidden" name="edit" value="<?=$edit?>" />
<? } ?>
<? if ($anim) { ?>
	<input type="hidden" name="anim" value="<?=$anim?>" />
<? } ?>
</form>
<? } ?>
<br />

<? include ('footer.php'); ?>