<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.7.0 - Last modified 7/19/2008
*/


/*
NOTES:
	if (image_jpeg == true):
	Compress level of 1-2 is archival, 4 starts showing artifacts.  3-4 recommended.  0 not recommended due to lossless JPEG (use PNG instead).  Anything over 10 not recommended except for thumbnails.  Max value may be 100 if you hate your artists.  :)

	if (image_jpeg == false):
	ShiPainter employs lossy PNG, and will *completely destroy* quality if you're not careful!  Level should be 0 if image_jpeg is false.  Anything higher than 5 will ruin airbrushing and gradients.

	ShiPainter superimposes animations on top of pictures when retouching.  Unlike PaintBBS, which may take both image and animation data, make sure ShiPainter is given only one type of canvas, or else airbrushed/antialiased images will suffer from incorrect colors and possibly multiple images.  Use "$_GET['still'] == 1" to override the animation and use the canvas.  The animation will be truncated/broken!

	if (new pic) {
		Send nothing to comment.php.
	} elseif (public edit by new artist) {
		Send import to comment.php.
	} else {
		send edit and import.
	}
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');
require ('paintsave.php');

// Input
$xcord = w_gpc('xcord', 'i');
$ycord = w_gpc('ycord', 'i');
$anim = w_gpc('anim', 'i');
$edit = w_gpc('edit', 'i+');
$user_pass = ''; // Wacintaki only
$tools     = w_gpc('tools');
$cursor    = w_gpc('cursor');
$datatype  = w_gpc('datatype');
$still     = w_gpc('still', 'i'); // Shi hack: import canvas only

// Init
$app_head     = ''; // Passed to save tool
$app_head_pw  = ''; // Added to $app_head
$app_url_exit = ''; // Params for index (comment)
$import       = ''; // Canvas number to import.  Passed to save tool
$app_import   = ''; // Canvas/anim filename to import (based on $anim)
$anim_type    = 'pch'; // Extension for animation

// Shi Specific
if ($tools != 'pro') {
	$tools = 'normal';
}
if ($tools == 'pro') {
	$datatype = 3;
} else {
	$datatype = 2;
}


// Check Draw access
if (!$flags['D']) {
	report_err($langop_err_drawaccess);
}

// Check anim access
// If retouch, anim flag is ignored
if (!$flags['M']) {
	$anim = 0;
}


if ($edit) {
	// Get pic info
	$result = mysql_query ("SELECT PIC_ID, usrname, animation, ptype FROM {$OekakiPoteto_Prefix}oekakidta WHERE PIC_ID='$edit'");
	$row = mysql_fetch_array ($result);

	// Verify anim
	if ($row['animation'] == 1 && !$still) {
		$anim = 1;
	} else {
		$anim = 0;
	}

	// Set up import (edit only)
	if ($anim) {
		$app_import = $p_pic.$edit.'.'.$anim_type;
	} else {
		$app_import = $p_pic.$edit.'.'.$row['ptype'];
	}

	$size = @GetImageSize ($p_pic.$row['PIC_ID'].'.'.$row['ptype']);
	$xcord = $size[0];
	$ycord = $size[1];
}


// Verify that canvas sizes fit min/max
$xcord = fix_range($cfg['min_x'], $cfg['canvas_x'], $xcord);
$ycord = fix_range($cfg['min_y'], $cfg['canvas_y'], $ycord);


// Set applet area
{
	/* A bug in the Mac version of Java 1.5 requires hard-coded values, rather than CSS.  So, we set to a reasonable default, and grow the applet to fit the canvas. */

	// Typical viewable width of 800x600 browser is 740px.
	$xhack = 740; // Applet x
	$yhack = 550; // Applet y
	$xoverhead = ($datatype == 3) ? 130 : 90 ; // Applet border/palette width
	$yoverhead = 35;

	if (DISABLE_APPLET_AREA_HACK) {
		$xhack = '100%';
		// $yhack = '90%'; // HTML quirks mode only
	} else {
		if ($xcord > ($xhack - $xoverhead))
			$xhack = $xcord + $xoverhead;
	}
	if ($ycord > ($yhack - $yoverhead))
		$yhack = $ycord + $yoverhead;
}


// Get filesize cutoff.  See notes above about compress_level
// APPLET_NO_JPEG is in hacks.php
$image_jpeg_value = (APPLET_NO_JPEG != 0) ? 'false' : 'true';
$image_compress = (APPLET_NO_JPEG != 0) ? '0' : '4';
$image_size_value = applet_image_size_param($xcord, $ycord);


// Set up applet header
if ($edit) {
	$app_head_mode = 'edit';
} elseif ($anim) {
	$app_head_mode = 'anim';
} else {
	$app_head_mode = 'norm';
}

$app_head = "mode={$app_head_mode};edittimes=".time().";usr={$OekakiU};vcode={$OekakiPass};datatype={$datatype}";
if ($edit) {
	$app_head .= ";edit={$edit}";
}

// Set up applet exit
$app_url_exit = 'comment.php?mode=res_msg';
if ($edit) {
	$app_url_exit .= "&edit={$edit}";
}


// Wax Poteto fans seem to prefer the header
$no_banner = TRUE;
require ('header.php');


?>
<div align="center">
	<applet id="shibbs"
		code="c.ShiPainter.class"
		archive="spainter_all.jar"
		width="<?=$xhack;?>"
		height="<?=$yhack;?>">

		<param name="image_width" value="<?=$xcord;?>" />
		<param name="image_height" value="<?=$ycord;?>" />

		<param name="dir_resource" value="./" />
		<param name="tt.zip" value="tt_def.zip" />
		<param name="res.zip" value="res.zip" />
		<param name="tools" value="<?=$tools;?>" />
		<param name="layer_count" value="5" />
		<param name="MAYSCRIPT" value="true" />
		<param name="scriptable" value="true" />
<? if ($cursor) { ?>
		<param name="cursor_1" value="<?=$cursor;?>.gif" />
<? } ?>

		<param name="image_jpeg" value="<?=$image_jpeg_value;?>" />
		<param name="image_size" value="<?=$image_size_value;?>" />
		<param name="compress_level" value="<?=$image_compress;?>" />

		<param name="url_save" value="shiget.php" />
		<param name="url_exit" value="<?=w_html_chars($app_url_exit);?>" />
<?
// Import canvas.  Import either picture or anim, but not both!
if ($edit) {
	if ($anim) {
?>
		<param name="pch_file" value="<?= $app_import; ?>" />
<?
	} else {
?>
		<param name="image_canvas" value="<?= $app_import; ?>" />
<?
	}
}
if ($anim) { ?>
		<param name="thumbnail_type" value="animation" />
<? } ?>
		<param name="url_target" value="_self" />

		<param name="undo" value="90" />
		<param name="undo_in_mg" value="15" />

		<param name="poo" value="false" />
		<param name="send_header" value="<?=w_html_chars($app_head);?>" />
		<param name="send_header_image_type" value="false" />

		<param name="color_text" value="#000000" />
		<param name="color_bk" value="#aeaed9" />
		<param name="color_bk2" value="#a3a3cc" />
		<param name="color_icon" value="#ccccff" />

		<param name="send_advance" value="true" />
		<param name="send_language" value="utf8" />

		You need Java&trade; to run this applet.  <a href="http://www.java.com">Click here to download Java</a>.
	</applet>
</div>


<p style="text-align: center;">
	<input onclick="maximize_app('shibbs');" type="button" value="<?=$langop_resizeapplet;?>" class="submit" />
</p>


<p style="text-align: center;">
	<input onclick="size_app('shibbs');" type="button" value="<?=$langop_resize_to_this;?>" class="submit" />
	X:<input id="button_x" type="text" size="3" value="<?=$xhack?>" class="txtinput" />
	Y:<input id="button_y" type="text" size="3" value="<?=$yhack?>" class="txtinput" />
</p>


<? if ($edit && $anim && !$still) {
	$import_pic = "shiBBS.php?xcord={$xcord}&amp;ycord={$ycord}&amp;edit={$edit}";
	if ($tools)
		$import_pic .= "&amp;tools={$tools}";
	if ($cursor)
		$import_pic .= "&amp;cursor={$cursor}";
	if ($user_pass)
		$import_pic .= "&amp;pw={$user_pass}";
	$import_pic .= '&amp;still=1';
?>
<p style="text-align: center;">
	<font size="-1">
		<?php echo (str_replace ('{s}', $import_pic, $langop_shi_canvas_only)."\n"); ?>
	</font>
</p>

<? } ?>

<? if (!$edit) { ?>
<form name="formResize" method="get" action="<?=$_SERVER['PHP_SELF'];?>">
	<table width="50%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
	<tr>
	<td colspan="2">
		<table width="<?=$hWidth?>" cellpadding="<?=$hCellPadding?>" align="center" class="header">
		<tr>
		<td align="center">
			<font size="-2">
				<?=$langop_applet_modify?> 
				(<?=$langop_applet_max?> <?=$cfg['canvas_x'];?> &times; <?=$cfg['canvas_y'];?> )
			</font>
		</td>
		</tr>
		</table>
	</td>
	</tr>

	<tr>
	<td width="28%">
		<div align="right">
			<font size="-2">X</font>:
		</div>
	</td>
	<td width="72%">
		<font size="-2">
			<input type="text" name="xcord" value="<?=$xcord?>" class="txtinput" />
		</font>
	</td>
	</tr>

	<tr>
	<td width="28%">
		<div align="right">
			<font size="-2">Y:</font>
		</div>
	</td>
	<td width="72%">
		<font size="-2">
			<input type="text" name="ycord" value="<?=$ycord?>" class="txtinput" />
		</font>
	</td>
	</tr>

	<tr>
	<td></td>
	<td>
		<font size="-2">
			<input type="submit" name="Submit" value="<?=$langop_word_modify;?>" class="submit" />
		</font>
	</td>
	</tr>
	</table>

<? if ($edit) { ?>
	<input name="edit" value="<?=$edit?>" type="hidden" />
<? } ?>
<? if ($anim) { ?>
	<input name="anim" value="<?=$anim?>" type="hidden" />
<? } ?>
	<input name="tools" value="<?=$tools?>" type="hidden" />
<? if ($cursor) { ?>
	<input name="cursor" value="<?=$cursor?>" type="hidden" />
<? } ?>
</form>
<? } ?>
<br />

<? include ('footer.php'); ?>